<?php
namespace API\Partenaire;

interface IFournissLink
{
    // TODO : split interface into 2, the interface to link a fourniss and the interface to manually link a fourniss
    /**
     * @param array<mixed> $fourniss Entity Fourniss
     */
    public function isLinkable(array $fourniss) :bool;
    /**
     * @param array<mixed> $fourniss Entity Fourniss
     */
    public function linkFourniss(array $fourniss) :void;
    public function unlinkFourniss(string $fournissId) :void;

    public function getRouteDetail() :?string;
    public function getRouteLink() :string;
    public function getRouteUnlink() :string;
}
